﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PristaniNaMesici
{
    public class Modul
    {
        /// <summary>v jakometrech</summary>
        public PointF Position { get; set; }
        public PointF Speed { get; set; }

        float palivo;
        float startPalivo = -1;
        public float Palivo
        {
            get { return palivo; }
            set
            {
                palivo = value;
                if (startPalivo == -1) startPalivo = palivo;
            }
        }
        public Bitmap Picture => Properties.Resources.lunar_lander;

        public RectangleF GetPosOnScreen(float zoom, PointF camera, int cameraHeight)
        {
            return new RectangleF()
            {
                X = (Position.X - camera.X - 10) * zoom,
                Y = (Position.Y + 10) * -zoom + cameraHeight,
                Width = zoom * 20,
                Height = zoom * 20
            };
        }

        public void DrawPalivo(Graphics g, Size resolution)
        {
            using (Brush color = new SolidBrush(Color.Red))
            {
                if (palivo != 0)
                    g.FillRectangle(color, resolution.Width - 25, 35 + 100 - palivo / startPalivo * 100, 20, palivo / startPalivo * 100);
            }
            using (Pen border = new Pen(Color.Black))
            {
                g.DrawRectangle(border, resolution.Width - 25, 35, 20, 100);
            }
        }
        public void DrawSpeed(Graphics g)
        {
            using (Font font = new Font("arial", 15))
            {
                using (Brush color = new SolidBrush(Color.Black))
                {
                    g.DrawString("rychlost Y: " + Speed.Y, font, color, 0, 0);
                    g.DrawString("rychlost X: " + Speed.X, font, color, 0, 30);
                }
            }
        }
    }
}
