﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Net;
using System.IO;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PristaniNaMesici
{
    public partial class Window : Form
    {
        Pristani pristani;
        bool up, left, right;

        public Window()
        {
            InitializeComponent();
            base.KeyDown += KeyDown;
            base.KeyUp += KeyUp;
        }

        private void SpustitClick(object sender, EventArgs e)
        {
            SetPristaniWindow window = new SetPristaniWindow();
            if (window.ShowDialog() == DialogResult.OK)
            {
                pristani = new Pristani("http://localhost:8000", pictureBox, window.AutoPilot);
                pristani.End += End;
            }
        }
        void End(string s)
        {
            MessageBox.Show(s);
        }

        private new void KeyDown(object sender, KeyEventArgs e)
        {
            if (!pristani.AutoPilot)
            {
                switch (e.KeyCode)
                {
                    case Keys.Up:
                        up = true;
                        break;
                    case Keys.Left:
                        left = true;
                        break;
                    case Keys.Right:
                        right = true;
                        break;
                }
                pristani.SetMotor(up, left, right);
            }
        }

        private new void KeyUp(object sender, KeyEventArgs e)
        {
            if (!pristani.AutoPilot)
            {
                switch (e.KeyCode)
                {
                    case Keys.Up:
                        up = false;
                        break;
                    case Keys.Left:
                        left = false;
                        break;
                    case Keys.Right:
                        right = false;
                        break;
                }
                pristani.SetMotor(up, left, right);
            }
        }
    }
}
